Name:           ocaml-biniou
Version:        1.0.8
Release:        %mkrel 4
Summary:        Binary data format designed for speed, safety and ease of use
License:        BSD
Group:          Development/OCaml
URL:            http://mjambon.com/biniou.html
Source0:        http://mjambon.com/releases/biniou/biniou-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-easy-format-devel
Requires:       ocaml-easy-format

%description
Biniou (pronounced "be new") is a binary data format designed for speed,
safety, ease of use and backward compatibility as protocols evolve. Biniou
is vastly equivalent to JSON in terms of functionality but allows
implementations several times faster (4 times faster than yojson), with
25-35% space savings.

Biniou data can be decoded into human-readable form without knowledge of
type definitions except for field and variant names which are represented by
31-bit hashes. A program named 'bdump' is provided for routine visualization
of biniou data files.

The program atdgen can be used to derive OCaml-Biniou serializers and
deserializers from type definitions.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-easy-format-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n biniou-%{version}

%build
make
make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/biniou
mkdir -p %{buildroot}%{_bindir}
make install BINDIR=%{buildroot}%{_bindir}

%files
%doc README.md LICENSE Changes
%dir %{_libdir}/ocaml/biniou
%{_libdir}/ocaml/biniou/META
%{_libdir}/ocaml/biniou/*.cma
%{_libdir}/ocaml/biniou/*.cmo
%{_libdir}/ocaml/biniou/*.cmi
%{_bindir}/bdump

%files devel
%doc doc/
%doc test_biniou.ml
%doc biniou-format.txt
%{_libdir}/ocaml/biniou/*.o
%{_libdir}/ocaml/biniou/*.a
%{_libdir}/ocaml/biniou/*.cmxa
%{_libdir}/ocaml/biniou/*.cmx
%{_libdir}/ocaml/biniou/*.mli


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.0.8-4.mga4
+ Revision: 534317
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 blue_prawn <blue_prawn> 1.0.8-3.mga4
+ Revision: 477263
- rebuild for ocaml-4.01.0

* Tue Sep 10 2013 blue_prawn <blue_prawn> 1.0.8-2.mga4
+ Revision: 477245
- rebuild for ocaml-4.01.0

* Wed Jul 31 2013 blue_prawn <blue_prawn> 1.0.8-1.mga4
+ Revision: 461807
- updated to last version 1.0.8

* Sun Apr 07 2013 malo <malo> 1.0.5-5.mga3
+ Revision: 408638
- fix requires

* Sat Jan 12 2013 umeabot <umeabot> 1.0.5-4.mga3
+ Revision: 361162
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 malo <malo> 1.0.5-3.mga3
+ Revision: 308267
- rebuild for ocaml-4.0.1

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.0.5-2.mga3
+ Revision: 301637
- new rpm group for ocaml

* Fri Sep 28 2012 blue_prawn <blue_prawn> 1.0.5-1.mga3
+ Revision: 299102
- updated to last version 1.0.5
- new rpm group for ocaml
- updated to last version 1.0.5

* Sat Sep 01 2012 blue_prawn <blue_prawn> 1.0.4-1.mga3
+ Revision: 286790
- updated to last version 1.0.4

* Sun Jun 24 2012 blue_prawn <blue_prawn> 1.0.0-1.mga3
+ Revision: 263049
- added BuildRequires: ocaml-easy-format-devel
- added BuildRequires: ocaml-easy-format
- imported package ocaml-biniou

